> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.basement.chat/pt-br/api-reference/api-do-gateway/skills/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.basement.chat/_mcp/server. # List skills POST https://mcp.basement.chat/v1/tools/list_skills Content-Type: application/json List the Basement skill files that you can load, in the folders you can use. Returns for each skill: id, name, versionCount, folderId (null for the General folder) and folderName. Optionally filter by folder. Reference: https://docs.basement.chat/pt-br/api-reference/api-do-gateway/skills/list ## Authentication - `Authorization` header (bearer token, required) — A Basement key (bsmt_...), from Agents, Connect in the app. ## Request ### Body (application/json) This endpoint expects an object. - `folderId` (string, optional) — Optional folder filter: a folder ID from list_folders, or "general" for the General folder ## Response ### 200 The tool's answer. - `skills` (list of FileSummary, required) ## Errors ### 400 Bad Request Error The arguments are not valid, or the tool refused them. - `error` (ErrorResponseError, required) ### 401 Unauthorized Error The API key is missing, wrong, revoked or expired. - `error` (ErrorResponseError, required) ### 403 Forbidden Error The key's access level does not allow this call. - `error` (ErrorResponseError, required) ### 429 Too Many Requests Error Too many calls in a minute. Wait and try again. - `error` (ErrorResponseError, required) ### 500 Internal Server Error Basement failed to complete the call. - `error` (ErrorResponseError, required) ## Types ### FileSummary - `id` (string, required) - `name` (string, required) - `kind` (string, required) — asset, logo, pdf, mcp_file, skill or other - `mimeType` (string, required) - `sizeBytes` (integer, required) - `versionCount` (integer, required) - `folderId` (string, optional, nullable) — The file's folder; null for the General folder - `folderName` (string, optional) ### ErrorResponseError - `code` (string, required) — unauthorized, forbidden, invalid_request, not_found, rate_limited, service_error or internal_error - `message` (string, required) — What went wrong, in English ## Examples **Request** ```json {} ``` **Response** ```json { "skills": [ { "id": "string", "name": "string", "kind": "string", "mimeType": "string", "sizeBytes": 1, "versionCount": 1, "folderId": "string", "folderName": "string" } ] } ``` **SDK Code** ```python import requests url = "https://mcp.basement.chat/v1/tools/list_skills" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mcp.basement.chat/v1/tools/list_skills'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mcp.basement.chat/v1/tools/list_skills" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mcp.basement.chat/v1/tools/list_skills") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mcp.basement.chat/v1/tools/list_skills") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://mcp.basement.chat/v1/tools/list_skills', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mcp.basement.chat/v1/tools/list_skills"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mcp.basement.chat/v1/tools/list_skills")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```